#!/bin/bash

function activate_cuda_10_1_cudnn_7_6()
{
  export PRE_CUDA_10_1_CUDNN_7_6_PATH="$PATH"
  export PRE_CUDA_10_1_CUDNN_7_6_LD_LIBRARY_PATH="$LD_LIBRARY_PATH"

  export CUDA_HOME="$CUDA_10_1_CUDNN_7_6_HOME"
  export CUDA_ROOT="$CUDA_10_1_CUDNN_7_6_ROOT"
  export CUDA_TOOLKIT_ROOT_DIR="$CUDA_10_1_CUDNN_7_6_TOOLKIT_ROOT_DIR"

  export PATH="$CUDA_10_1_CUDNN_7_6_PATH:$PATH"
  export LD_LIBRARY_PATH="$CUDA_10_1_CUDNN_7_6_LD_LIBRARY_PATH:$LD_LIBRARY_PATH"
}

function deactivate_cuda_10_1_cudnn_7_6()
{
  export PATH="$PRE_CUDA_10_1_CUDNN_7_6_PATH"
  export LD_LIBRARY_PATH="$PRE_CUDA_10_1_CUDNN_7_6_LD_LIBRARY_PATH"

  unset PRE_CUDA_10_1_CUDNN_7_6_PATH
  unset PRE_CUDA_10_1_CUDNN_7_6_LD_LIBRARY_PATH

  unset CUDA_HOME
  unset CUDA_ROOT
  unset CUDA_TOOLKIT_ROOT_DIR
}
